1.1

1.1

get /v1/apis/{api_id}/access-controls/{access_control_id}

Description

Show access control

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathaccess_control_id
required
Access Control ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccessControlShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls/{access_control_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "access_control": {
        "allowed_ip_addr": [
            "127.0.0.1/24,192.168.127.12"
        ],
        "connected_stages": [
            "dev,stg"
        ],
        "created_at": "2024-05-19T00:23:17Z",
        "description": "",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "name": "DenyTest"
    }
}